LuxCore 2.5 Release Installation Error on Linux

Use this forum for general user support and related questions.
Forum rules
Please upload a testscene that allows developers to reproduce the problem, and attach some images.
Post Reply
johannes.wilde
Posts: 64
Joined: Fri Sep 21, 2018 7:57 am

LuxCore 2.5 Release Installation Error on Linux

Post by johannes.wilde » Mon Apr 12, 2021 5:37 am

System:
PopOS 20.04
NVidia driver 460.67

Hi!

While i can use LuxCore2.5rc on my system, i can't install LuxCore 2.5 Release.
By the way i as well tried it in Vanilla Blender 2.92, it's not related to E-Cycles build.

I get the following message:
Traceback (most recent call last):
File "/home/XXX/Downloads/E_Cycles_2.92_2021_release_v20210224_lin_rtx/2.92/scripts/modules/addon_utils.py", line 351, in enable
mod = __import__(module_name)
File "/home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/__init__.py", line 63, in <module>
raise Exception(msg + "\n\nImportError: %s" % error) from None
Exception:

Could not import pyluxcore.

ImportError: /home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/bin/libOpenImageDenoise.so.0: undefined symbol: _ZN3tbb10interface78internal15task_arena_base24internal_max_concurrencyEPKNS0_10task_arenaE

User avatar
B.Y.O.B.
Developer
Posts: 4049
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: LuxCore 2.5 Release Installation Error on Linux

Post by B.Y.O.B. » Mon Apr 12, 2021 8:31 am

It sounds like your libOpenImageDenoise is too old or too new. Maybe you tried to copy/paste the addon over an existing installation?
Try to remove the old addon completely, then install v2.5.

johannes.wilde
Posts: 64
Joined: Fri Sep 21, 2018 7:57 am

Re: LuxCore 2.5 Release Installation Error on Linux

Post by johannes.wilde » Mon Apr 12, 2021 8:00 pm

Thanks for your reply!

I just installed it over an existing version of LuxCore.
Now deleted the folder in ./config/blender/2.92/scrips/addons/BlendLuxCore restarted the Computer an reinstalled BlendLuxCore again, but still I get the error message. Are there more files/folders to remove?

User avatar
Dade
Developer
Posts: 5239
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: LuxCore 2.5 Release Installation Error on Linux

Post by Dade » Mon Apr 12, 2021 9:08 pm

It looks like a problem with Intel TBB (used by Intel denoiser). Try to run:

Code: Select all

ldd  /home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/bin/libOpenImageDenoise.so.0
and also for TTB library .so too. Post here the output, you may lack the "x" execution bit or have some other similar problem.
Support LuxCoreRender project with salts and bounties

johannes.wilde
Posts: 64
Joined: Fri Sep 21, 2018 7:57 am

Re: LuxCore 2.5 Release Installation Error on Linux

Post by johannes.wilde » Tue Apr 13, 2021 5:04 am

Here comes the output:
LuxCore/bin/libOpenImageDenoise.so.0
linux-vdso.so.1 (0x00007ffd52aa8000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fb05ba14000)
libtbb.so.2 => /home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/bin/libtbb.so.2 (0x00007fb05b7b1000)
libtbbmalloc.so.2 => /home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/bin/libtbbmalloc.so.2 (0x00007fb05b559000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fb05b553000)
libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fb05b372000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fb05b221000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fb05b206000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fb05b01c000)
/lib64/ld-linux-x86-64.so.2 (0x00007fb05e80b000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fb05b011000)

User avatar
Dade
Developer
Posts: 5239
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: LuxCore 2.5 Release Installation Error on Linux

Post by Dade » Tue Apr 13, 2021 9:36 am

johannes.wilde wrote:
Tue Apr 13, 2021 5:04 am
Here comes the output:
Try also to run the following commands:

Code: Select all

david@Desktop-3900x:~/.config/blender/2.92/scripts/addons/BlendLuxCore/bin$ cd /home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/bin
david@Desktop-3900x:~/.config/blender/2.92/scripts/addons/BlendLuxCore/bin$ ldd libtbb.so.2
	linux-vdso.so.1 (0x00007fffd7bf9000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f2833173000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f2833168000)
	libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f2832f87000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f2832e38000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f2832e1d000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f2832dfa000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f2832c06000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f28333f8000)
david@Desktop-3900x:~/.config/blender/2.92/scripts/addons/BlendLuxCore/bin$ ldd libtbbmalloc.so.2
	linux-vdso.so.1 (0x00007ffdbcf70000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f375054e000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f3750543000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f37503f4000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f37503d9000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f37503b6000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f37501c4000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f37507c8000)
david@Desktop-3900x:~/.config/blender/2.92/scripts/addons/BlendLuxCore/bin$ md5sum libOpenImageDenoise.so.0 libtbb.so.2 libtbbmalloc.so.2
0d1cc787de55664f59ca954fcaabbae2  libOpenImageDenoise.so.0
999ecd6cca7410a82083cabf597a3a09  libtbb.so.2
6a5c66a88bff8047638c52a5bc7da184  libtbbmalloc.so.2
Check if the checksum of my files matches your.
Support LuxCoreRender project with salts and bounties

johannes.wilde
Posts: 64
Joined: Fri Sep 21, 2018 7:57 am

Re: LuxCore 2.5 Release Installation Error on Linux

Post by johannes.wilde » Thu Apr 15, 2021 5:20 am

ldd libtbb.so.2
linux-vdso.so.1 (0x00007ffcd7365000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f2fc5c8c000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f2fc5c81000)
libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f2fc5aa0000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f2fc5951000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f2fc5936000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f2fc5914000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f2fc5728000)
/lib64/ld-linux-x86-64.so.2 (0x00007f2fc5f18000)
~/.config/blender/2.92/scripts/addons/BlendLuxCore/bin$ md5sum libOpenImageDenoise.so.0 libtbb.so.2 libtbbmalloc.so.2
0d1cc787de55664f59ca954fcaabbae2 libOpenImageDenoise.so.0
999ecd6cca7410a82083cabf597a3a09 libtbb.so.2
6a5c66a88bff8047638c52a5bc7da184 libtbbmalloc.so.2
This is what I get. Looks the same to me.

johannes.wilde
Posts: 64
Joined: Fri Sep 21, 2018 7:57 am

Re: LuxCore 2.5 Release Installation Error on Linux

Post by johannes.wilde » Wed Apr 21, 2021 2:00 pm

I installed the latest BlendLuxCore build today and get a slighly different error message:
File "/home/XXX/Downloads/blender-2.92.0-linux64/2.92/scripts/modules/addon_utils.py", line 351, in enable
mod = __import__(module_name)
File "/home/XXX/.config/blender/2.92/scripts/addons/BlendLuxCore/__init__.py", line 63, in <module>
raise Exception(msg + "\n\nImportError: %s" % error) from None
Exception:

Could not import pyluxcore.

ImportError: libOpenImageDenoise.so.1: cannot open shared object file: No such file or directory
I lookend in

/home/XXX/.config/blender/scripts/addons/BlendLuxCore/bin

and found a file called oidnDenoise but no libOpenImageDenoise.so.1

acasta69
Developer
Posts: 413
Joined: Tue Jan 09, 2018 3:45 pm

Re: LuxCore 2.5 Release Installation Error on Linux

Post by acasta69 » Wed Apr 21, 2021 2:10 pm

johannes.wilde wrote:
Wed Apr 21, 2021 2:00 pm
I lookend in

/home/XXX/.config/blender/scripts/addons/BlendLuxCore/bin

and found a file called oidnDenoise but no libOpenImageDenoise.so.1
This should now be fixed, please get the very latest BlendLuxCore.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v445.87

johannes.wilde
Posts: 64
Joined: Fri Sep 21, 2018 7:57 am

Re: LuxCore 2.5 Release Installation Error on Linux

Post by johannes.wilde » Wed Apr 21, 2021 3:58 pm

Thank you!
That works now.

Post Reply